<template>
  <div id="SignbankLogo">
    <nuxt-link class="d-flex align-center" :to="localePath('/')">
      <!--White-->
      <v-img
        v-if="!is_colorful_props"
        width="100%"
        :max-width="max_width_props ? max_width_props : 130"
        alt="Logo"
        :src="require(`~/static/illustration/logo-signbank.svg`)"
        class="logo-img"
      >
        <template v-slot:placeholder>
          <v-row class="fill-height ma-0" align="center" justify="center">
            <v-progress-circular
              indeterminate
              color="grey lighten-5"
            ></v-progress-circular>
          </v-row>
        </template>
      </v-img>

      <!--Colorful-->
      <v-img
        v-if="is_colorful_props"
        width="100%"
        :max-width="max_width_props ? max_width_props : 130"
        alt="Logo"
        :src="require(`~/static/illustration/logo-signbank-colorful.svg`)"
        class="logo-img"
      >
        <template v-slot:placeholder>
          <v-row class="fill-height ma-0" align="center" justify="center">
            <v-progress-circular
              indeterminate
              color="grey lighten-5"
            ></v-progress-circular>
          </v-row>
        </template>
      </v-img>
    </nuxt-link>
  </div>
</template>
<script>
export default {
  props: ["max_width_props", "is_colorful_props"],
};
</script>
